2020-10-19 23:18 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000314SlySpySecretAgent[All Projects] Generalpublic2017-11-24 13:34
ReporterPrOtON 
Assigned ToStingRayProject InfoSly Spy Secret Agent (Ocean)
http://www.whdload.de/games/SlySpySecretAgent.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000314: Sly Spy Secret Agent: Game crashes very often after entering the security
DescriptionInstall: Sly Spy Secret Agent (Ocean) http://whdload.de/games/SlySpySecretAgent.html
GameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 06.04.99

Game crashes very often after entering the security clearance code.
Game crashes also often on the motorbike level.
TagsNo tags attached.
MachineA1200
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem64 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad15.1
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0001843

Bored Seal (developer)

Game has few access faults, when you fix them in usual way, some things stop to work. I give up. Anybody else wants to try ?

note ~0002533

StingRay (developer)

I'll have a look.

note ~0002557

StingRay (developer)

I have redone the patch from scratch. I'm currently fixing the sample player (not too easy...) and then I'll see about fixing the music player. Then it's finished.

note ~0002558

StingRay (developer)

Update: Access fault which made the game crash fixed. It was the usual problem: register used as .b (i.e. upper parts not cleared) but later used as .w (for indexing). Now only the sample player is left to be fixed.

note ~0004559

retrogamer (reporter)

Will the updated slave be aviable soon?

note ~0005793

retrogamer (reporter)

*bumb*

note ~0005880

StingRay (developer)

I have finally fixed the sample player and completed the update. All access faults/crashes are fixed, trainers have been added and 68000 quitkey support has been added as well.
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 00:19 administrator New Issue
2009-04-10 00:19 administrator Status new => assigned
2009-04-10 00:19 administrator Assigned To => Bored Seal
2009-04-10 00:19 administrator Machine => A1200
2009-04-10 00:19 administrator CPU => 68060
2009-04-10 00:19 administrator CPUSpeed => 50
2009-04-10 00:19 administrator ChipSet => AGA
2009-04-10 00:19 administrator GFXCard => None
2009-04-10 00:19 administrator ChipMem => 2 MB
2009-04-10 00:19 administrator FastMem => 64 MB
2009-04-10 00:19 administrator Workbench => OS 3.9
2009-04-10 00:19 administrator KickROM => 40 - Kick 3.1
2009-04-10 00:19 administrator KickSoft => None
2009-04-10 00:19 administrator WHDLoad => 15.1
2009-04-10 00:19 administrator imported => yes
2009-06-27 19:18 Bored Seal Status assigned => confirmed
2010-06-25 16:52 Bored Seal Note Added: 0001843
2010-06-25 16:52 Bored Seal Assigned To Bored Seal =>
2010-06-25 16:52 Bored Seal Status confirmed => new
2011-12-04 22:19 StingRay Note Added: 0002533
2011-12-04 22:19 StingRay Assigned To => StingRay
2011-12-04 22:19 StingRay Status new => assigned
2011-12-11 19:28 StingRay Note Added: 0002557
2011-12-11 21:21 StingRay Note Added: 0002558
2015-05-09 01:33 retrogamer Note Added: 0004559
2017-10-27 20:33 retrogamer Note Added: 0005793
2017-11-24 13:34 StingRay Note Added: 0005880
2017-11-24 13:34 StingRay Status assigned => resolved
2017-11-24 13:34 StingRay Resolution open => fixed
+Issue History